\usepackage{beamerthemesplit}
\usepackage[utf8]{inputenc}
\usepackage[spanish]{babel}
\usepackage{graphicx}
\usepackage{pstricks} % PSTricks package
%\usepackage{auto-pst-pdf}
\usepackage{setspace}
\usepackage{multirow}
\usepackage{listings}
\usepackage{pgfpages}
\usepackage{hyperref}
\usepackage{etoolbox}
\usepackage{epstopdf}

\makeatletter
\patchcmd{\beamer@sectionintoc}{\vskip1.5em}{\vskip0.5em}{}{}
\makeatother

\setbeamercovered{dynamic}
\setcounter{tocdepth}{3}
\setbeamercolor{frametitle}{fg=black,bg=white}
\setbeamerfont{section in toc}{size=\small}
\setbeamercolor{section in toc shaded}{fg=black}
\setbeamercolor{section in toc}{fg=red}
\setbeamerfont{subsection in toc}{size=\small}
\setbeamercolor{subsection in toc shaded}{fg=black}
\setbeamercolor{subsection in toc}{fg=red}
\setbeamerfont{subsubsection in toc}{size=\footnotesize}
\setbeamercolor{subsubsection in toc shaded}{fg=black}
\setbeamercolor{subsubsection in toc}{fg=red}
\setbeamertemplate{section in toc shaded}[default][99]
\setbeamertemplate{subsection in toc shaded}[default][99]
\setbeamertemplate{subsubsection in toc shaded}[default][99]


\AtBeginSection[]
{\begin{frame}[c]
  \frametitle{Índice}
	\tableofcontents[currentsection,
        sectionstyle=show/shaded,
        subsectionstyle=hide,
		subsubsectionstyle=hide]
\end{frame}}

\AtBeginSubsection[]
{\begin{frame}[c]
	\frametitle{Índice}
	\tableofcontents[
  		sectionstyle=shaded/shaded,
  		subsectionstyle=show/shaded/hide,
  		subsubsectionstyle=hide
		]
\end{frame}}

\AtBeginSubsubsection[]
{\begin{frame}[c]
		\frametitle{Índice}
		\tableofcontents[
		sectionstyle=shaded/hide,
		subsectionstyle=shaded/shaded/hide,
		subsubsectionstyle=show/shaded/hide/hide
		]
\end{frame}}


\setbeamercolor{frametitle}{fg=black,bg=white}

\setbeamertemplate{frametitle}{
	\begin{centering}
		\insertframetitle
		\par
	\end{centering}
}

\usetheme[secheader]{Boadilla} 